import React from "react";
import { Container, StyledEngineProvider } from "@mui/material";
import { ThemeProvider } from "@mui/material/styles";
import { theme } from "../../../style/Theme";
import { PrimeKeyValueTable } from "./PrimeKeyValueTable";

export default {
  title: "Common/PrimeKeyValueTable",
  component: PrimeKeyValueTable
};

const Template = (args) => (
  <StyledEngineProvider injectFirst>
    <ThemeProvider theme={theme}>
      <Container>
        <PrimeKeyValueTable {...args} />
      </Container>
    </ThemeProvider>
  </StyledEngineProvider>
);

export const Example = Template.bind({});
Example.args = {
  obj: { "The first statistic": 102, "The second statistic": 7.6 },
  labels: ["External Statistics"],
  valueWidth: "15ch"
};
