import React from "react";
import { Avatar, Card, CardHeader, Typography } from "@mui/material";
import { KeyValueTable } from "@ess-ics/ce-ui-common/dist/components/common/KeyValueTable";

export function UserProfile({ userInfo, errorMessage }) {
  const userData = {
    username: userInfo?.loginName,
    avatar: (
      <Avatar
        src={userInfo?.avatar}
        variant="rounded"
      />
    )
  };

  return (
    <Card>
      <CardHeader
        title="User profile page"
        titleTypographyProps={{
          variant: "h2",
          component: "h2"
        }}
      />
      {errorMessage ? (
        <Typography>{errorMessage}</Typography>
      ) : (
        <KeyValueTable
          obj={userData}
          variant="overline"
        />
      )}
    </Card>
  );
}
