import React, { useContext, useEffect } from "react";
import AccessControl from "../../components/auth/AccessControl";
import { HomeVisitorView } from "./HomeVisitorView";
import { HomeView } from "./HomeView";
import { GlobalAppBarContext } from "@ess-ics/ce-ui-common";
import { applicationTitle } from "../../components/common/Helper";

export function HomeAccessControl() {
  const { setTitle } = useContext(GlobalAppBarContext);
  useEffect(() => setTitle(applicationTitle("Home")), [setTitle]);

  return (
    <AccessControl
      allowedRoles={["DeploymentToolAdmin", "DeploymentToolIntegrator"]}
      renderNoAccess={() => <HomeVisitorView />}
    >
      <HomeView />
    </AccessControl>
  );
}
